/* Title: Tree Classes
   Name: Eric Walsh
   Description: This file contains the Drive Button windows C++ classes.
*/

#ifndef DRIVECLSS_H
#define DRIVECLSS_H

#define IDD_BUTTONLEFT  0x1000
#define IDD_BUTTONRIGHT 0x1010

#define min(a,b)        (((a) < (b)) ? (a) : (b))
#define max(a,b)        (((a) > (b)) ? (a) : (b))

class drvcntl
{
public:
	   drvcntl(HWND);
	   ~drvcntl();
	HANDLE  Font;                        // User Selectable Font
	HBRUSH  FillBrush;                   // User Definable Background
	LONG    ProcessButtons(WORD, LONG);  //  Handles all button pushes
	LONG    WinSpec();                   // Handles redraw and scroll setup
	HCURSOR SetupCursor();

   /* The following are the functions for user called messages */

	LONG    GetActiveDrive()             { return (LONG)GetWindowWord(ActiveWnd, GWW_ID); }
	LONG    GetNumDrives()               { return NumDrives; }
	LONG    GetDriveState(WORD);         // Gets the State of the specified button
	LONG    SetDriveState(WORD, LONG);   // Set the State of the specified button
	LONG    GetNumActiveDrives();        // Gets the number of active drives

private:
	HWND    hWnd;
	int     ActiveWnd;                    // Last Pushed Button
	int     NumDrives;                    // Number of listed drives
	HWND    *ButWnd;
	HWND    ButLeft, ButRght;             // Left and Right Scroll Buttons
	int     BarLength;                    // Combined Pixel Length of all buttons
	RECT    ScrlRect;                     // Rectangle bounding scrollable region
	int     vscrlindx;                    // Left most viewable button
	int     VertNodesScrn;                // Number of button that can be viewed in control
	int     xpos;                         // where to position right scrolling button

	HBITMAP fl35bitmaps;
	HBITMAP fl525bitmaps;
	HBITMAP HDbitmaps;
	HBITMAP Netbitmaps;
	HBITMAP Leftbitmap, Rghtbitmap;       // Left and Right Scroll button bitmaps

	HCURSOR FileCur;                      // Drag and Drop Cursors
	HCURSOR MFileCur;
	HRGN    ScrlRgn;
	HBITMAP cfolder;                      // Handles to folder bitmaps
	HBITMAP ofolder;
	BITMAP  bm;                           // Info on file bitmaps
};

#endif
